SQLITE3REBASER_REBASE(3) | Library Functions Manual | SQLITE3REBASER_REBASE(3)

# NAME

`sqlite3rebaser_rebase` —
Rebase a changeset

# SYNOPSIS

int
`sqlite3rebaser_rebase`(sqlite3_rebaser*, int nIn, const void *pIn, int *pnOut, void **ppOut );

# DESCRIPTION

Argument pIn must point to a buffer containing a changeset nIn bytes in size. This function allocates and populates a buffer with a copy of the changeset rebased rebased according to the configuration of the rebaser object passed as the first argument. If successful, (*ppOut) is set to point to the new buffer containing the rebased changset and (*pnOut) to its size in bytes and SQLITE_OK returned. It is the responsibility of the caller to eventually free the new buffer using sqlite3_free(). Otherwise, if an error occurs, (*ppOut) and (*pnOut) are set to zero and an SQLite error code returned.

December 19, 2018 | NetBSD 9.3